- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | Friends | List of all members
qi::ServiceInfo Class Reference

`#include <serviceinfo.hpp>`

## Public Member Functions
| ServiceInfo ()
| ServiceInfo (const ServiceInfo &svcinfo)
| ~ServiceInfo ()
ServiceInfo & | operator= (const ServiceInfo &svcinfo)
void | setName (const std::string &name)
void | setServiceId (unsigned int serviceId)
void | setMachineId (const std::string &machineId)
void | setProcessId (unsigned int processId)
void | setEndpoints (const qi::UrlVector &endpoints)
void | addEndpoint (const qi::Url &endpoint)
void | setSessionId (const std::string &sessionId)
const std::string & | name () const
unsigned int | serviceId () const
const std::string & | machineId () const
unsigned int | processId () const
const qi::UrlVector & | endpoints () const
const std::string & | sessionId () const

## Public Attributes
ServiceInfoPrivate * | _p

## Friends
class | TypeImpl< ServiceInfo >

## Detailed Description

Definition at line 20 of file serviceinfo.hpp.

## Constructor & Destructor Documentation

qi::ServiceInfo::ServiceInfo | ( |  | ) |

qi::ServiceInfo::ServiceInfo | ( | const ServiceInfo & | svcinfo | ) |

qi::ServiceInfo::~ServiceInfo | ( |  | ) |

## Member Function Documentation

void qi::ServiceInfo::addEndpoint | ( | const qi::Url & | endpoint | ) |

const qi::UrlVector& qi::ServiceInfo::endpoints | ( |  | ) | const

const std::string& qi::ServiceInfo::machineId | ( |  | ) | const

const std::string& qi::ServiceInfo::name | ( |  | ) | const

ServiceInfo& qi::ServiceInfo::operator= | ( | const ServiceInfo & | svcinfo | ) |

unsigned int qi::ServiceInfo::processId | ( |  | ) | const

unsigned int qi::ServiceInfo::serviceId | ( |  | ) | const

const std::string& qi::ServiceInfo::sessionId | ( |  | ) | const

void qi::ServiceInfo::setEndpoints | ( | const qi::UrlVector & | endpoints | ) |

void qi::ServiceInfo::setMachineId | ( | const std::string & | machineId | ) |

void qi::ServiceInfo::setName | ( | const std::string & | name | ) |

void qi::ServiceInfo::setProcessId | ( | unsigned int | processId | ) |

void qi::ServiceInfo::setServiceId | ( | unsigned int | serviceId | ) |

void qi::ServiceInfo::setSessionId | ( | const std::string & | sessionId | ) |

## Friends And Related Function Documentation

friend class TypeImpl< ServiceInfo >
| friend

Definition at line 47 of file serviceinfo.hpp.

## Member Data Documentation

ServiceInfoPrivate* qi::ServiceInfo::_p

Definition at line 44 of file serviceinfo.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/messaging/serviceinfo.hpp